import $ from 'jquery';

$(function ($) {
    // First we get the viewport height and we multiple it by 1% to get a value for a vh unit
    let vh = window.innerHeight * 0.01;
    // Then we set the value in the --vh custom property to the root of the document
    document.documentElement.style.setProperty('--vh', `${vh}px`);
});


$('.navbar--mobile').on('hidden.bs.collapse', function (e) {
    $('body').css('position', '')

}).on('show.bs.collapse', function (e) {
    $('body').css('position', 'fixed')
    console.log(e)

});


(function ($) {
    $.fn.swipeClose = function () {
        let xStart, yStart, xEnd, yEnd;
        let offsetY = 50;

        this.on('touchstart', function (e) {
            xStart = e.originalEvent.touches[0].pageX;
            yStart = e.originalEvent.touches[0].pageY;
        })
            .on('touchend', function (e) {
                xEnd = e.originalEvent.changedTouches[0].pageX;
                yEnd = e.originalEvent.changedTouches[0].pageY;
                let xMove = (xStart - xEnd);
                let yMove = (yStart - yEnd);
                if (offsetY < yMove) {
                    $(e.target).closest('.collapse').collapse('hide')
                }
            })
    };
}(jQuery));

$('.navbar--mobile').swipeClose();
